Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml.xerces
Class SAXParseExceptionWrapper

`java.lang.Object
oracle.toplink.xml.xerces.SAXParseExceptionWrapper`

All Implemented Interfaces:
  SAXParseException

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class SAXParseExceptionWrapper
extends java.lang.Object
implements SAXParseException

This class wraps the `org.xml.sax.SAXParseException` class, providing indirect access to its protocol via an interface. This allows easy access to the protocol to those classes not loaded by the custom class loader that may load the SAXParseException class.

Since:
  TOPLink/Java 3.0
See Also:
  `SAXParseException`, `SAXParseException`

Constructor Summary
`SAXParseExceptionWrapper(org.xml.sax.SAXParseException wrappedException)` Deprecated. Construct a new instance for the specified wrapped exception.

Method Summary
`java.lang.Throwable` | `fillInStackTrace()` Deprecated.
`int` | `getColumnNumber()` Deprecated.
`java.lang.Exception` | `getException()` Deprecated.
`int` | `getLineNumber()` Deprecated.
`java.lang.String` | `getLocalizedMessage()` Deprecated.
`java.lang.String` | `getMessage()` Deprecated.
`java.lang.String` | `getPublicId()` Deprecated.
`java.lang.String` | `getSystemId()` Deprecated.
`void` | `printStackTrace()` Deprecated.
`void` | `printStackTrace(java.io.PrintStream s)` Deprecated.
`void` | `printStackTrace(java.io.PrintWriter s)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParseExceptionWrapper

    public SAXParseExceptionWrapper(org.xml.sax.SAXParseException wrappedException)

  Deprecated.
  Construct a new instance for the specified wrapped exception.

Method Detail

### getColumnNumber

    public int getColumnNumber()

  Deprecated.
  Specified by:
    `getColumnNumber` in interface `SAXParseException`
  See Also:
    `SAXParseException.getColumnNumber()`

### getLineNumber

    public int getLineNumber()

  Deprecated.
  Specified by:
    `getLineNumber` in interface `SAXParseException`
  See Also:
    `SAXParseException.getLineNumber()`

### getPublicId

    public java.lang.String getPublicId()

  Deprecated.
  Specified by:
    `getPublicId` in interface `SAXParseException`
  See Also:
    `SAXParseException.getPublicId()`

### getSystemId

    public java.lang.String getSystemId()

  Deprecated.
  Specified by:
    `getSystemId` in interface `SAXParseException`
  See Also:
    `SAXParseException.getSystemId()`

### getException

    public java.lang.Exception getException()

  Deprecated.
  Specified by:
    `getException` in interface `SAXParseException`
  See Also:
    `SAXException.getException()`

### fillInStackTrace

    public java.lang.Throwable fillInStackTrace()

  Deprecated.
  Specified by:
    `fillInStackTrace` in interface `SAXParseException`
  See Also:
    `Throwable.fillInStackTrace()`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Deprecated.
  Specified by:
    `getLocalizedMessage` in interface `SAXParseException`
  See Also:
    `Throwable.getLocalizedMessage()`

### getMessage

    public java.lang.String getMessage()

  Deprecated.
  Specified by:
    `getMessage` in interface `SAXParseException`
  See Also:
    `Throwable.getMessage()`

### printStackTrace

    public void printStackTrace()

  Deprecated.
  Specified by:
    `printStackTrace` in interface `SAXParseException`
  See Also:
    `Throwable.printStackTrace()`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Deprecated.
  Specified by:
    `printStackTrace` in interface `SAXParseException`
  See Also:
    `Throwable.printStackTrace(java.io.PrintStream)`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Deprecated.
  Specified by:
    `printStackTrace` in interface `SAXParseException`
  See Also:
    `Throwable.printStackTrace(java.io.PrintWriter)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD